Subject: RE: bug#18681: cp Specific fail example

From: "Polehn, Mike A" <[email-masked]>
Date: Fri, 10 Oct 2014 19:46:25 +0000

Hi Paul!

Thank you for your quick response!

You were logged in as a normal user.
I was logged in as root.

I tried as normal user and it worked the same as you.

However, logged in as root and the error occurred as before.

Did a search for 'cp -I' and found it for root:

[root@F20-v3 ~]# find /root -type f -print |xargs grep -Hn "cp i"
/root/.bashrc:6:alias cp='cp -i'
/root/.cshrc:6:alias cp 'cp -i'
/root/.tcshrc:6:alias cp 'cp -i'
[root@F20-v3 ~]# find /etc -type f -print |xargs grep -Hn "cp i"
[root@F20-v3 ~]# find /home/mike -type f -print |xargs grep -Hn "cp i"
/home/mike/dpdk-1.7.1/examples/vhost/main.c:2456:               "mbuf_destroy_zcp is: %d\n",
/home/mike/dpdk-1.7.1/examples/vhost/main.c:2474:               "mbuf_destroy_zcp is: %d\n",
/home/mike/dpdk-1.7.1/examples/vhost/main.c:2478:               "mbuf_destroy_zcp is : %d\n",
/home/mike/dpdk/examples/vhost/main.c:2456:             "mbuf_destroy_zcp is: %d\n",
/home/mike/dpdk/examples/vhost/main.c:2474:             "mbuf_destroy_zcp is: %d\n",
/home/mike/dpdk/examples/vhost/main.c:2478:             "mbuf_destroy_zcp is : %d\n",

But there is still an error for interactive:

[root@F20-v3 src]# cp -f -r dpdk-1.7.1/* dpdk/
cp: overwrite âdpdk/app/test/test_lpm6.câ? y
cp: overwrite âdpdk/app/test/test_rwlock.câ? y
cp: overwrite âdpdk/app/test/test_table_ports.hâ? y
cp: overwrite âdpdk/app/test/test_logs.câ? y
cp: overwrite âdpdk/app/test/test_pmd_ring.câ? y
cp: overwrite âdpdk/app/test/test_table_tables.hâ?
cp: overwrite âdpdk/app/test/test_lpm.câ?
cp: overwrite âdpdk/app/test/test_malloc.câ?
cp: overwrite âdpdk/app/test/test_errno.câ? y
cp: overwrite âdpdk/app/test/test_hash.câ?
cp: overwrite âdpdk/app/test/test_table_acl.hâ? y

Didn't answer yes or no for some of these and they moved on anyway, indicating the interactive mode is not operating as expected.

It is a good idea as root not to be overwriting files, so I can understand the "cp -i" usage for root.

However, some of the reason for using root is to do something that you may not be able to do as a normal user. So being able to override the -i with a -f would be highly desirable.

Mike

-----Original Message-----
From: Paul Eggert [mailto:[email-masked]] 
Sent: Friday, October 10, 2014 11:18 AM
To: Polehn, Mike A; [email-masked]
Subject: Re: bug#18681: cp Specific fail example

I do not observe the symptoms that you report.  See below.  My guess is that you've aliased 'cp' to 'cp -i', which is probably a mistake.

$ git clone git://dpdk.org/dpdk
Cloning into 'dpdk'...
remote: Counting objects: 16249, done.
remote: Compressing objects: 100% (3976/3976), done.
remote: Total 16249 (delta 12964), reused 15109 (delta 12122) Receiving objects: 100% (16249/16249), 12.79 MiB | 1.20 MiB/s, done.
Resolving deltas: 100% (12964/12964), done.
Checking connectivity... done.
$ cd dpdk
$ git checkout -b map_v1.7.1 v1.7.1
Switched to a new branch 'map_v1.7.1'
$ pwd
/tmp/d/dpdk
$ cd ..
$ wget http://dpdk.org/browse/dpdk/snapshot/dpdk-1.7.1.tar.gz
--2014-10-10 11:15:44--  http://dpdk.org/browse/dpdk/snapshot/dpdk-1.7.1.tar.gz
Resolving dpdk.org (dpdk.org)... 92.243.14.124 Connecting to dpdk.org (dpdk.org)|92.243.14.124|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: unspecified [application/x-gzip] Saving to: ‘dpdk-1.7.1.tar.gz’

     [                   <=>                 ] 8,281,609   1.17MB/s   in 7.5s

2014-10-10 11:15:52 (1.06 MB/s) - ‘dpdk-1.7.1.tar.gz’ saved [8281609]

$ tar -xf dpdk-1.7.1.tar.gz
$ cp -f -r dpdk-1.7.1/* dpdk/
$